Bug 849393 - [abrt] shotwell-0.10.1-4.fc16: gexiv2_metadata_save_internal: Process /usr/bin/shotwell was killed by signal 11 (SIGSEGV)
[abrt] shotwell-0.10.1-4.fc16: gexiv2_metadata_save_internal: Process /usr/bi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:ed0b2021847b74ee442ef995828...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 00:21 EDT by Elliott Sales de Andrade
Modified: 2013-02-13 13:40 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:40:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (15.23 KB, text/plain)
2012-08-19 00:21 EDT, Elliott Sales de Andrade
no flags Details
File: build_ids (5.89 KB, text/plain)
2012-08-19 00:21 EDT, Elliott Sales de Andrade
no flags Details
File: maps (87.34 KB, text/plain)
2012-08-19 00:21 EDT, Elliott Sales de Andrade
no flags Details
File: backtrace (47.43 KB, text/plain)
2012-08-19 00:21 EDT, Elliott Sales de Andrade
no flags Details

  None (edit)
Description Elliott Sales de Andrade 2012-08-19 00:21:15 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        shotwell
comment:        Click "Open with External Editor" on a RAW file. But ran out of space in /home.
crash_function: gexiv2_metadata_save_internal
executable:     /usr/bin/shotwell
kernel:         3.4.7-1.fc16.x86_64
pid:            3497
pwd:            /home/zero-one
time:           Sun 19 Aug 2012 12:13:08 AM EDT
uid:            1000
username:       zero-one

backtrace:      Text file, 48571 bytes
build_ids:      Text file, 6027 bytes
dso_list:       Text file, 15600 bytes
maps:           Text file, 89437 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=VeniVidiVici.HOME
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=ff831396568380a65b4ba5f100000011-1345321873.233259-216030890
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-6TUusb
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=zero-one
:USERNAME=zero-one
:MAIL=/var/spool/mail/zero-one
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/zero-one/.local/bin
:DESKTOP_SESSION=gnome
:GSETTINGS_SCHEMA_DIR=/home/zero-one/.local/share/glib-2.0/schemas/
:QT_IM_MODULE=xim
:PWD=/home/zero-one
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1451
:LANG=en_CA.utf8
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:GDM_LANG=en_CA.utf8
:LOADEDMODULES=
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/zero-one
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=zero-one
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-y9PQD9bAyv,guid=a4ea7595ca735c2efe9c284f000000ba
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:MTN_MERGE=meld
:XDG_RUNTIME_DIR=/run/user/zero-one
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-zero-one-b99A0Y/database
:'module=() {  eval `/usr/bin/modulecmd $modules_shell $*`\n}'
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1456,unix/unix:/tmp/.ICE-unix/1456
:GPG_AGENT_INFO=/tmp/keyring-6TUusb/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-6TUusb/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/shotwell.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=3497

var_log_messages:
:Aug 18 04:22:01 VeniVidiVici kernel: [44060.643965] shotwell[6894]: segfault at 0 ip           (null) sp 00007fff643b8e68 error 14 in shotwell[400000+3a8000]
:Aug 18 04:22:16 VeniVidiVici abrt[6923]: Saved core dump of pid 6894 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-08-18-04:22:01-6894 (299655168 bytes)
:Aug 18 04:25:26 VeniVidiVici kernel: [44265.055957] shotwell[6963]: segfault at 21 ip 0000000000000021 sp 00007fff65674ba8 error 14 in shotwell[400000+3a8000]
:Aug 18 04:25:40 VeniVidiVici abrt[7002]: Saved core dump of pid 6963 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-08-18-04:25:26-6963 (245469184 bytes)
:Aug 18 04:27:21 VeniVidiVici kernel: [44380.892437] shotwell[7053]: segfault at 21 ip 0000000000000021 sp 00007fff9db88828 error 14 in shotwell[400000+3a8000]
:Aug 18 04:27:35 VeniVidiVici abrt[7068]: Saved core dump of pid 7053 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-08-18-04:27:21-7053 (250757120 bytes)
:Aug 19 00:13:07 VeniVidiVici kernel: [27900.561117] shotwell[3497]: segfault at 0 ip 000000326d207cba sp 00007fffc1acbf90 error 4 in libgexiv2.so.0.0.0[326d200000+1e000]
:Aug 19 00:13:41 VeniVidiVici abrt[6204]: Saved core dump of pid 3497 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-08-19-00:13:08-3497 (717365248 bytes)
Comment 1 Elliott Sales de Andrade 2012-08-19 00:21:23 EDT
Created attachment 605452 [details]
File: dso_list
Comment 2 Elliott Sales de Andrade 2012-08-19 00:21:25 EDT
Created attachment 605453 [details]
File: build_ids
Comment 3 Elliott Sales de Andrade 2012-08-19 00:21:26 EDT
Created attachment 605454 [details]
File: maps
Comment 4 Elliott Sales de Andrade 2012-08-19 00:21:28 EDT
Created attachment 605455 [details]
File: backtrace
Comment 5 Fedora End Of Life 2013-01-16 10:34:05 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 13:40:20 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.